<?php // -*- coding: latin-2 -*-

require_once(PHPWEATHER_BASE_DIR . '/output/pw_text.php');

/**
 * Provides all the strings needed by pw_text to produce Polish
 * output.
 *
 * @author   Michal Margula <alchemyx@uznam.net.pl>
 * @link     http://alchemyx.uznam.net.pl/  My homepage.
 * @version  pw_text_pl.php,v 1.0 2004/09/14 15:57:15 alchemyx Exp
 */
class pw_text_pl extends pw_text {

  /**
   * This constructor provides all the strings used.
   *
   * @param  array  This is just passed on to pw_text().
   */
  function pw_text_pl($weather, $input = array()) {
    $this->strings['charset']                  = 'ISO-8859-2';
    $this->strings['no_data']                  = 'Przepraszamy! Nie ma danych dostpnych dla %s%s%s.';
    $this->strings['list_sentences_and']       = ' i ';
    $this->strings['list_sentences_comma']     = ', ';
    $this->strings['list_sentences_final_and'] = ', i ';
    $this->strings['location']                 = 'To jest raport dla %s%s%s.';
    $this->strings['minutes']                  = ' minut';
    $this->strings['time_format']              = 'Raport zosta utworzony %s temu, o godzinie %s%s%s UTC.';
    $this->strings['time_minutes']             = 'i %s%s%s minut';
    $this->strings['time_one_hour']            = '%sjedn%s godzin %s';
    $this->strings['time_several_hours']       = '%s%s%s godzin %s';
    $this->strings['time_a_moment']            = 'chwil';
    $this->strings['meters_per_second']        = ' metrw na sekund';
    $this->strings['miles_per_hour']           = ' mil na godzin';
    $this->strings['meter']                    = ' metrw';
    $this->strings['meters']                   = ' metrw';
    $this->strings['feet']                     = ' stp';
    $this->strings['kilometers']               = ' kilometrw';
    $this->strings['miles']                    = ' mil';
    $this->strings['and']                      = ' i ';
    $this->strings['plus']                     = ' plus ';
    $this->strings['with']                     = ' z ';
    $this->strings['wind_blowing']             = 'Wiatr wia z prdkoci ';
    $this->strings['wind_with_gusts']          = ' w porywach do ';
    $this->strings['wind_from']                = ' z kierunku ';
    $this->strings['wind_variable']            = ' ze %szmiennego%s kierunku';
    $this->strings['wind_varying']             = ', wahajce si pomidzy %s%s%s (%s%s&deg;%s) a %s%s%s (%s%s&deg;%s)';
    $this->strings['wind_calm']                = 'Wiatr by %sspokojny%s';
    $this->strings['wind_dir'] = array(
      'pnocnego',
      'pnocnego/pnocno-wschodniego',
      'pnocno-wschodniego',
      'wschodniego/ponocno-wschodniego',
      'wschodniego',
      'wschodniego/poudniowo-wschodniego',
      'poudnioweo-wschodniego',
      'poudniowego/poudniowo-wschodniego',
      'poudniowego',
      'poudniowego/poudniowo-zachodniego',
      'poudniowo-zachodniego',
      'zachodniego/poudniowo-zachodniego',
      'zachodniego',
      'zachodniego/pnocno-zachodniego',
      'pnocno-zachodniego',
      'pnocnego/pnocno-zachodniego',
      'pnocnego');
    $this->strings['wind_dir_short'] = array(
      'N',
      'NNE',
      'NE',
      'ENE',
      'E',
      'ESE',
      'SE',
      'SSE',
      'S',
      'SSW',
      'SW',
      'WSW',
      'W',
      'WNW',
      'NW',
      'NNW',
      'N');
    $this->strings['wind_dir_short_long'] = array(
      'N'  => 'north',
      'NE' => 'northeast',
      'E'  => 'east',
      'SE' => 'southeast',
      'S'  => 'south',
      'SW' => 'southwest',
      'W'  => 'west',
      'NW' => 'northwest'
      );
    $this->strings['temperature']     = 'Temperatura wynosia ';
    $this->strings['dew_point']       = ', punkt rosy ';
    $this->strings['altimeter']       = 'Cinienie QHN wynosio ';
    $this->strings['hPa']             = ' hPa';
    $this->strings['inHg']            = ' inHg';
    $this->strings['rel_humidity']    = 'Wilgotno wzgldna wynosia ';
    $this->strings['feelslike']       = 'Temperatura bya odczuwalna jako ';
    $this->strings['cloud_group_beg'] = 'Byo ';
    $this->strings['cloud_group_end'] = '.';
    $this->strings['cloud_clear']     = 'Niebo byo %sczyste%s.';
    $this->strings['cloud_height']    = ' na wysokoci ';
    $this->strings['cloud_overcast']  = 'Cakowite %szachmurzenie%s o podstawie ';
    $this->strings['cloud_vertical_visibility'] = '%spionowa widzialno%s ';
    $this->strings['cloud_condition'] =
      array(
	    'SKC' => 'niebo bezchmurne',
	    'CLR' => 'niebo bezchmurne (0/8)',
	    'FEW' => 'zachmurzenie niewielkie (1/8 - 2/8)',
	    'SCT' => 'zachmurzenie rozrzucone (3/8 - 4/8)',
	    'BKN' => 'zachmurzenie poprzerywane (5/8 - 7/8) ',
	    'OVC' => 'zachmurzenie cakowite (8/8)');
    $this->strings['cumulonimbus']     = ' cumulonimbus';
    $this->strings['towering_cumulus'] = ' cumulus wypitrzony';
    $this->strings['cavok']            = ' brak chmur poniej %s, brak cumulonimbusw oraz brak zjawisk atmosferycznych';
    $this->strings['currently']        = 'Aktualnie ';
    $this->strings['weather']          = 
      array(
	    '-' => ' lekkie',
	    ' ' => ' rednie ',
	    '+' => ' mocne ',
	    'VC' => ' w pobliu',
	    'PR' => ' czciowe',
	    'BC' => ' paty',
	    'MI' => ' pytkie',
	    'DR' => ' nisko unoszce',
	    'BL' => ' podmuchy',
	    'SH' => ' przelotne opady',
	    'TS' => ' burza z piorunami',
	    'FZ' => ' przymrozek',
	    'DZ' => ' mawka',
	    'RA' => ' deszcz',
	    'SN' => ' nieg',
	    'SG' => ' gruby nieg',
	    'IC' => ' krysztaki lodu',
	    'PL' => ' ice pellets',
	    'GR' => ' grad',
	    'GS' => ' may grad',
	    'UP' => ' nieznany',
	    'BR' => ' zamglenie',
	    'FG' => ' mgy',
	    'FU' => ' dym',
	    'VA' => ' popi wulkaniczny',
	    'DU' => ' widespread dust',
	    'SA' => ' piasek',
	    'HZ' => ' zmtnienie',
	    'PY' => ' py wodny',
	    'PO' => ' mocno rozwijajce si wiry piaskowe/pyowe',
	    'SQ' => ' nawanica',
	    'FC' => ' trba powietrzna, wodna, tornado',
	    'SS' => ' burza piaskowa/pyowa');
    $this->strings['visibility'] = 'Widzialno pozioma wynosia ';
    $this->strings['visibility_greater_than']  = 'wicej ni ';
    $this->strings['visibility_less_than']     = 'mniej ni ';
    $this->strings['visibility_to']            = ' do ';
    $this->strings['runway_upward_tendency']   = ' z tendencj %wzrostow%s';
    $this->strings['runway_downward_tendency'] = ' z tendencj %smalejc%s';
    $this->strings['runway_no_tendency']       = ' bez %srozrnialnej%s tendencji';
    $this->strings['runway_between']           = 'pomidzy ';
    $this->strings['runway_left']              = ' lewego';
    $this->strings['runway_central']           = ' rodkowego';
    $this->strings['runway_right']             = ' prawego';
    $this->strings['runway_visibility']        = 'Widoczno bya ';
    $this->strings['runway_for_runway']        = ' dla pasa ';

    /* We run the parent constructor */
    $this->pw_text($weather, $input);
  }
}

?>
